﻿using DataAccess.DTOs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.IRepository
{
    public interface IQuestionCategoryRepository
    {
        List<QuestionCategoryDTO> GetAll(int? status);
        QuestionCategoryDTO GetById(int id, int? status);
        QuestionCategoryDTO GetByName(int? id, string name);
        void Add(QuestionCategoryDTO questionCategoryDTO);
        void Update(QuestionCategoryDTO questionCategoryDTO);
        void Delete(int id);
    }
}
