﻿using DataAccess.DTOs.Request;
using DataAccess.DTOs.Response;

namespace BusinessLayer.IRepository
{
    public interface IQuestionRepository
    {
        List<QuestionResponseDTO> GetAll();
        QuestionResponseDTO GetById(int id);
        QuestionResponseDTO GetByContent(int? id, string content);
        void Add(QuestionRequestDTO questionDTO);
        void Update(QuestionRequestDTO questionDTO);
        void Delete(int id);
    }
}
