﻿using DataAccess.DTOs;
using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.IRepository
{
    public interface ISubjectCategoryRepository
    {
        List<SubjectCategory> GetAll(int? status);
        SubjectCategory GetById(int id, int? status);
        SubjectCategory GetByName(int? id, string name);
        SubjectCategory GetByName(string name);
        void Add(SubjectCategoryDTO subjectCategoryDTO);
        void Update(SubjectCategoryDTO subjectCategoryDTO);
        void Delete(int id);
    }
}
