﻿using DataAccess.DTOs;
using DataAccess.DTOs.Request;
using DataAccess.DTOs.Response;

namespace BusinessLayer.IRepository
{
    public interface ISubjectRepository
    {
        List<SubjectResponseDTO> GetAll(int? status);
        SubjectResponseDTO GetById(int id, int? status);
        SubjectResponseDTO GetByName(string name);
        SubjectResponseDTO GetByName(int? id, string name);
        void Add(SubjectRequestDTO subjectDTO);
        void Update(SubjectRequestDTO subjectDTO);
        void Delete(int id);
    }
}
