﻿using System;
using System.Collections.Generic;

namespace DataAccess.Models;

public partial class Question
{
    public int QuestionId { get; set; }

    public int CategoryId { get; set; }

    public int SubjectId { get; set; }

    public string Content { get; set; } = null!;

    public string Answer { get; set; } = null!;

    public int Status { get; set; }

    public virtual QuestionCategory Category { get; set; } = null!;

    public virtual Subject Subject { get; set; } = null!;
}
