﻿using System;
using System.Collections.Generic;

namespace DataAccess.Models;

public partial class Subject
{
    public int SubjectId { get; set; }

    public int CategoryId { get; set; }

    public string SubjectName { get; set; } = null!;

    public int Status { get; set; }

    public virtual SubjectCategory Category { get; set; } = null!;

    public virtual ICollection<Question> Questions { get; set; } = new List<Question>();
}
