﻿using BusinessLayer.IRepository;
using DataAccess.DAOs;
using DataAccess.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLayer.Repository
{
    public class ExamQuestionRepository : IExamQuestionRepository
    {
        public void AddExamQuestion(ExamQuestion examQuestion) => ExamQuestionDAO.Instance.AddExamQuestion(examQuestion);
        public void DeleteExamQuestion(int examID) => ExamQuestionDAO.Instance.DeleteExamQuestion(examID);
        public List<ExamQuestion> GetAllExamQuestions(int examID) => ExamQuestionDAO.Instance.GetExamQuestion(examID);
    }
}
